[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomCheckGroup.SetItems

Sets the value for the Items property.

## Declaration

Source position: extctrls.pp line 884

`protected procedure TCustomCheckGroup.SetItems(`
`Value: TStrings`
`);`

## Arguments

`Value` |  | New value for the property.

## Description

Calls the Assign method in Items to store the specified Value. Updates the group by re-creating the check-box controls needed for the values in Items. Re-displays the control using the required number of Columns.

## See also

TCustomCheckGroup.Items |  | String list with the captions for the check boxes in the grouped edit control.
TCustomCheckGroup.Columns |  | Columns is the number of columns in which the Items (check boxes) are arranged.
TCustomCheckGroup.UpdateAll |  | Updates both the Items and the number of controls per line.